<template>
  <section class="product-card">
    <div class="card card-1" style="width: 27.4rem">
      <div class="card-img">
          <span class="person-name text-white text-uppercase"
          >Stefan Muller choice</span
          >
        <img
            src="@/assets/images/product-card/image-1.jpeg"
            class="card-img-top"
            alt="Stefan Muller choice"
        />
      </div>
      <div class="card-body">
        <span class="glasses-type">Bike glasses</span>
        <h5 class="card-title text-uppercase">The Falcon</h5>
        <p class="card-text">
          Resistant and flexible TR-90 Frame, adjustable silicon nose pads,
          interchangeable lenses 5+different lenses
        </p>
        <div class="card-price">74,99 €</div>
      </div>
    </div>
    <div class="card card-2" style="width: 27.4rem">
      <div class="card-img">
        <span class="person-name text-uppercase">Chloe Kellerman</span>
        <img
            src="@/assets/images/product-card/image-2.jpeg"
            class="card-img-top"
            alt="Chloe Kellerman choice"
        />
      </div>
      <div class="card-body">
        <span class="glasses-type"> Snow Goggles</span>
        <h5 class="card-title text-uppercase">Force evo</h5>
        <p class="card-text">
          Resistant and flexible TR-90 Frame, adjustable silicon nose pads,
          interchangeable lenses 5+different lenses
        </p>
        <div class="card-price">74,99 €</div>
      </div>
    </div>
    <div class="card card-3" style="width: 27.4rem">
      <div class="card-img">
          <span class="person-name text-white text-uppercase">
            Adrien Brodley</span
          >
        <img
            src="@/assets/images/product-card/image-3.jpeg"
            class="card-img-top"
            alt="Adrien Brodley choice"
        />
      </div>
      <div class="card-body">
        <span class="glasses-type">Bike glasses</span>
        <h5 class="card-title text-uppercase">The Line</h5>
        <p class="card-text">
          Resistant and flexible TR-90 Frame, adjustable silicon nose pads,
          interchangeable lenses 5+different lenses
        </p>
        <div class="card-price">74,99 €</div>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  name: "ProductCard"
}
</script>

<style scoped>
.product-card {
  background: #f5f5f5;
  padding: 56px 38px;
  display: flex;
  flex-wrap: wrap;
  gap: 1.5rem;
  justify-content: center;
}

.card {
  border-radius: 0.38rem;
  border: none;
  cursor: pointer;
}

.card-2 .person-name {
  left: 109.4px;
}

.card-3 .person-name {
  left: 120.2px;
}

.card-body {
  position: relative;
  padding: 4.87rem 1.7rem 1.7rem;
}

.card-title {
  font-size: 24px;
  line-height: 31px;
  letter-spacing: 0.2em;
  padding-bottom: 8px;
  margin-bottom: 0;
}

.card-text {
  font-size: 14px;
  line-height: 18px;
  letter-spacing: 0.04em;
  padding-bottom: 24px;
}

.card-price {
  font-weight: 700;
  font-size: 24px;
  line-height: 31px;
  letter-spacing: 0.04em;
  text-align: right;
}


.person-name {
  left: 77.5px;
  position: absolute;
  padding-top: 1.7rem;
  font-weight: 500;
  font-size: 18px;
  line-height: 23px;
  letter-spacing: 0.2em;
}

.glasses-type {
  display: inline-block;
  letter-spacing: 0.1em;
  color: #888888;
  padding-bottom: 4px;
}

.first-screen_top a, p {
  color: #888888;
  margin: 0;
}


.card-2 .card-img::after {
  background-image: url(@/assets/images/product-card/glasses-2.png);
}

.card-3 .card-img::after {
  background-image: url(@/assets/images/product-card/glasses-3.png);
}

.card-img::after {
  content: '';
  position: absolute;
  background: url(@/assets/images/product-card/glasses-1.png) no-repeat;
  background-size: contain;
  top: 219px;
  left: 81px;
  width: 274px;
  height: 143px;
  transition: top 0.2s ease-in-out;
}

.card:hover .card-img::after {
  top: 210px;
}

</style>